| Flutter Impeller |

Public Member Functions | List of all members
impeller::CircleGeometry Class Referencefinal

`#include <circle_geometry.h>`

Inheritance diagram for impeller::CircleGeometry:

## Public Member Functions
| CircleGeometry (const Point &center, Scalar radius)
| CircleGeometry (const Point &center, Scalar radius, Scalar stroke_width)
| ~CircleGeometry ()=default
bool | CoversArea (const Matrix &transform, const Rect &rect) const override
| Determines if this geometry, transformed by the given `transform`, will completely cover all surface area of the given `rect`. More...
bool | IsAxisAlignedRect () const override
Public Member Functions inherited from impeller::Geometry
virtual GeometryResult::Mode | GetResultMode () const
virtual bool | CanApplyMaskFilter () const

## Additional Inherited Members
Static Public Member Functions inherited from impeller::Geometry
static std::shared_ptr< Geometry > | MakeFillPath (const Path &path, std::optional< Rect > inner_rect=std::nullopt)
static std::shared_ptr< Geometry > | MakeStrokePath (const Path &path, Scalar stroke_width=0.0, Scalar miter_limit=4.0, Cap stroke_cap=Cap::kButt, Join stroke_join=Join::kMiter)
static std::shared_ptr< Geometry > | MakeCover ()
static std::shared_ptr< Geometry > | MakeRect (const Rect &rect)
static std::shared_ptr< Geometry > | MakeOval (const Rect &rect)
static std::shared_ptr< Geometry > | MakeLine (const Point &p0, const Point &p1, Scalar width, Cap cap)
static std::shared_ptr< Geometry > | MakeCircle (const Point &center, Scalar radius)
static std::shared_ptr< Geometry > | MakeStrokedCircle (const Point &center, Scalar radius, Scalar stroke_width)
static std::shared_ptr< Geometry > | MakeRoundRect (const Rect &rect, const Size &radii)
static std::shared_ptr< Geometry > | MakePointField (std::vector< Point > points, Scalar radius, bool round)
Static Protected Member Functions inherited from impeller::Geometry
static GeometryResult | ComputePositionGeometry (const ContentContext &renderer, const Tessellator::VertexGenerator &generator, const Entity &entity, RenderPass &pass)
static GeometryResult | ComputePositionUVGeometry (const ContentContext &renderer, const Tessellator::VertexGenerator &generator, const Matrix &uv_transform, const Entity &entity, RenderPass &pass)

## Detailed Description

Definition at line 14 of file circle_geometry.h.

## Constructor & Destructor Documentation

## ◆ CircleGeometry() [1/2]

impeller::CircleGeometry::CircleGeometry | ( | const Point & | center,
|  | Scalar | radius
| ) |  |
| explicit

Definition at line 13 of file circle_geometry.cc.

14 : center_(center), radius_(radius), stroke_width_(-1.0f) {
15 FML_DCHECK(radius >= 0);
16 }

## ◆ CircleGeometry() [2/2]

impeller::CircleGeometry::CircleGeometry | ( | const Point & | center,
|  | Scalar | radius,
|  | Scalar | stroke_width
| ) |  |
| explicit

Definition at line 18 of file circle_geometry.cc.

21 : center_(center),
22 radius_(radius),
23 stroke_width_(std::max(stroke_width, 0.0f)) {
24 FML_DCHECK(radius >= 0);
25 FML_DCHECK(stroke_width >= 0);
26 }

References stroke_width.

## ◆ ~CircleGeometry()

impeller::CircleGeometry::~CircleGeometry | ( |  | ) |
| default

## Member Function Documentation

## ◆ CoversArea()

bool impeller::CircleGeometry::CoversArea | ( | const Matrix & | transform,
|  | const Rect & | rect
| ) |  | const
| override virtual

Determines if this geometry, transformed by the given `transform`, will completely cover all surface area of the given `rect`.

This is a conservative estimate useful for certain optimizations.

Returns
  `true` if the transformed geometry is guaranteed to cover the given `rect`. May return `false` in many undetected cases where the transformed geometry does in fact cover the `rect`.

Reimplemented from impeller::Geometry.

Definition at line 90 of file circle_geometry.cc.

91 {
92 return false;
93 }

## ◆ IsAxisAlignedRect()

bool impeller::CircleGeometry::IsAxisAlignedRect | ( |  | ) | const
| override virtual

Reimplemented from impeller::Geometry.

Definition at line 95 of file circle_geometry.cc.

95 {
96 return false;
97 }

The documentation for this class was generated from the following files:

- impeller/entity/geometry/circle_geometry.h
- impeller/entity/geometry/circle_geometry.cc

stroke_width
const Scalar stroke_width
Definition: stroke_path_geometry.cc:293